{************************************}
{ Simple Reservoir Model DLL Library }
{ Copyright (c) 2007, N.T.U.A.       }
{ created by john liagos             }
{************************************}

library SimpleReservoirEngine;

uses
  SysUtils,
  Classes,
  reservoir in 'reservoir.pas',
{  Dates in 'dates.pas',
  DKMath in 'dkmath.pas',
  GenUtils in 'genutils.pas',
  interpol in 'interpol.pas',
  istrutils in 'istrutils.pas',
  Matrix in 'matrix.pas',
  prob in 'prob.pas',
  rnd in 'rnd.pas',
  stat2 in 'stat2.pas',
  ts in 'ts.pas',
  tsprocess in 'tsprocess.pas',}
  expfuncs in 'expfuncs.pas';

{$R *.res}

exports Initialize, PerformTimeStep, Finish, Dispose, GetStorage, GetModelID,
        GetModelDescription, GetTimeStepLength, GetNumberOfTimeSteps, GetInputTime,
        GetCurrentTime, GetSimulationStartDate, AddInFlow, GetFlow, GetMessage,
        GetNumberOfMessages, RunSimulation, RunSimulationArgs;

begin
  RunInteractive := False;
end.
